API Reference
Log In
API Reference

Lists messages in a conversation.

Permissions: project.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 0
Defaults to 0

Item offset for pagination. Defaults to 0.

integer
≤ 100
Defaults to 100

Number of rows to return (min 1, max 100). Defaults to 100.

string
Defaults to ID

Sort rows by this column. Defaults to "ID".

boolean
Defaults to true

Whether to sort by ascending order. Defaults to True.

columns

A list of column names to include in the response. Default is to return all columns.

string

SQL where clause. Can be nested ie x = '1' AND ("y (1)" = 2 OR z = '3'). It will be combined with row_ids using AND. Defaults to "" (no filter).

string
length ≤ 10000

A string to search for within row data as a filter. The string is interpreted as both POSIX regular expression and literal string. Defaults to "" (no filter). It will be combined other filters using AND.

search_columns

A list of column names to search for search_query. Defaults to None (search all columns).

integer
≥ 0
Defaults to 0

Number of decimals for float values. Defaults to 0 (no rounding).

integer
Defaults to 0

Number of decimals for vectors. If its negative, exclude vector columns. Defaults to 0 (no rounding).

string
required

Conversation ID (Table ID) to fetch.

Headers
string
required

User PAT or service key.

string

User ID. Can be omitted if PAT is used as token.

string

Project ID. Can be omitted if PAT is used as token.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json